import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import { ModeSelector, ModeIcon } from './style';
import ToolTip from '@beisen/tool-tip';
import { modeUtc } from './utcData';

var ModeArea =
/*#__PURE__*/
function (_Component) {
  _inherits(ModeArea, _Component);

  function ModeArea() {
    _classCallCheck(this, ModeArea);

    return _possibleConstructorReturn(this, _getPrototypeOf(ModeArea).apply(this, arguments));
  }

  _createClass(ModeArea, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          data = _this$props.data,
          changeMode = _this$props.changeMode;
      return React.createElement(ModeSelector, {
        show: data && !!data.length
      }, data.map(function (d, k) {
        return React.createElement(ToolTip, {
          side: false,
          key: "mode-".concat(k),
          title: d.title
        }, React.createElement(ModeIcon, {
          "data-udc": modeUtc(k),
          selected: d.selected,
          onClick: function onClick() {
            changeMode(d);
          },
          borderRight: d.selected && k == 0,
          borderLeft: d.selected && k == 1,
          className: d.icon
        }));
      }));
    }
  }]);

  return ModeArea;
}(Component);

export { ModeArea as default };