import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import { MorePop, MoreText, MoreIcon } from './style';
import ClickOutSide from '@beisen-cmps/italent-click-outside';
import Pop from '../common/drop';

var MorePopWrap =
/*#__PURE__*/
function (_Component) {
  _inherits(MorePopWrap, _Component);

  function MorePopWrap() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, MorePopWrap);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(MorePopWrap)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      showPop: false
    };

    _this.showPop = function () {
      _this.setState({
        showPop: true
      });
    };

    _this.hidePop = function () {
      _this.setState({
        showPop: false
      });
    };

    _this.onClickPop = function (d) {
      _this.props.onClickPop(d);

      _this.hidePop();
    };

    return _this;
  }

  _createClass(MorePopWrap, [{
    key: "render",
    value: function render() {
      var data = this.props.data;
      var showPop = this.state.showPop;
      var selected = data.filter(function (d) {
        return d.selected;
      })[0];
      return React.createElement(MorePop, null, React.createElement(MoreText, {
        showAfter: !!selected,
        onClick: this.showPop
      }, selected ? selected.title : '更多', React.createElement(MoreIcon, {
        className: "font-arrow-left-no-line"
      })), React.createElement(ClickOutSide, {
        onClickOutside: this.hidePop
      }, React.createElement(Pop, {
        show: showPop,
        top: "40px",
        left: "100px",
        onClickPop: this.onClickPop,
        data: data
      })));
    }
  }]);

  return MorePopWrap;
}(Component);

export { MorePopWrap as default };