import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import { PopDrop, DropItem } from './style';

var Drop =
/*#__PURE__*/
function (_Component) {
  _inherits(Drop, _Component);

  function Drop() {
    _classCallCheck(this, Drop);

    return _possibleConstructorReturn(this, _getPrototypeOf(Drop).apply(this, arguments));
  }

  _createClass(Drop, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          data = _this$props.data,
          show = _this$props.show,
          onClickPop = _this$props.onClickPop,
          left = _this$props.left,
          top = _this$props.top;
      return React.createElement(PopDrop, {
        show: show,
        styleLeft: left,
        styleTop: top
      }, data.map(function (d, k) {
        return React.createElement(DropItem, {
          key: "drop-item-".concat(k),
          selected: d.selected,
          onClick: function onClick() {
            onClickPop(d);
          }
        }, " ", d.title, " ");
      }));
    }
  }]);

  return Drop;
}(Component);

export { Drop as default };