import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import './index.css';
import BeisenScrollBar from '@beisen/beisen-scroll-bar';

var ScrollWrap =
/*#__PURE__*/
function (_Component) {
  _inherits(ScrollWrap, _Component);

  function ScrollWrap() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, ScrollWrap);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(ScrollWrap)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.showStyle = '0 0 5px 0 rgba(0,0,0,0.05)';
    _this.hideStyle = '0 0 0 0 rgba(0,0,0,0.05)';

    _this.handleScroll = function (data) {
      var realHeight = data.realHeight,
          topPosition = data.topPosition,
          containerHeight = data.containerHeight,
          leftPosition = data.leftPosition;
      _this.topPosition = topPosition === undefined ? 0 : topPosition;
      _this.leftPosition = leftPosition === undefined ? 0 : leftPosition;

      if (_this.refs.bottom) {
        _this.refs.bottom.style.boxShadow = realHeight > _this.topPosition + containerHeight ? _this.showStyle : _this.hideStyle;
      }
    };

    return _this;
  }

  _createClass(ScrollWrap, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var scrollAreaBaseNode = this.refs.scroll.refs.scrollArea.content.parentElement;
      var scrollAreaWrap = scrollAreaBaseNode.parentElement;
      var scrollAreaNode = scrollAreaBaseNode.getElementsByClassName('scrollbar__content')[0];

      if (this.refs.bottom) {
        this.refs.bottom.style.boxShadow = scrollAreaNode.clientHeight > scrollAreaWrap.clientHeight ? this.showStyle : this.hideStyle;
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          children = _this$props.children;
      return React.createElement("span", {
        className: "scroll-wrap-contain",
        style: {
          width: width || '100%',
          height: height || '100%',
          paddingBottom: '0px'
        }
      }, React.createElement(BeisenScrollBar, {
        ref: "scroll",
        topPosition: this.topPosition || 0,
        leftPosition: this.leftPosition || 0,
        style: {
          width: width || '100%',
          height: '100%'
        },
        handleScroll: this.handleScroll
      }, children), React.createElement("div", {
        ref: "bottom",
        className: "scroll-border-bottom"
      }, " "));
    }
  }]);

  return ScrollWrap;
}(Component);

export default ScrollWrap;