import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
import React, { Component } from 'react';
import { FilterPullSelector, FilterPullText, FilterPullIcon } from './style';
import PullScreen from '../common/pullScreen';
import ClickOutSide from '@beisen-cmps/italent-click-outside';

var FilterPull =
/*#__PURE__*/
function (_Component) {
  _inherits(FilterPull, _Component);

  function FilterPull() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, FilterPull);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(FilterPull)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this.state = {
      filterPopShow: false
    };

    _this.showPop = function (e) {
      _this.relativeComponent = e.target;

      _this.setState({
        filterPopShow: true
      });
    };

    _this.hidePop = function () {
      //恢复默认data
      _this.setState({
        filterPopShow: false
      });
    };

    _this.useDefault = function () {
      //是否是默认值
      var _this$props = _this.props,
          data = _this$props.data,
          chargeUsers = _this$props.chargeUsers;
      var isDefault = true;
      data.multiSelectData.map(function (multiData) {
        var key = multiData.key,
            value = multiData.value;

        if (value && value.length) {
          switch (key) {
            case 'priority':
              //优先级
              var selectedVal = value.filter(function (v) {
                return v.selected;
              });
              isDefault = isDefault && !selectedVal.length;
              break;

            case 'source':
              //来源
              var notSelectedVal = value.filter(function (v) {
                return v.selected;
              });
              isDefault = isDefault && !notSelectedVal.length; // notSelectedVal.length == 1 && notSelectedVal[0].id == 203; 

              break;

            default:
              break;
          }
        }
      });

      if (data.showUserCharge) {
        isDefault = isDefault && !chargeUsers.length;
      }

      return isDefault;
    };

    return _this;
  }

  _createClass(FilterPull, [{
    key: "render",
    value: function render() {
      var filterPopShow = this.state.filterPopShow;
      var _this$props2 = this.props,
          data = _this$props2.data,
          selectFilter = _this$props2.selectFilter,
          chargeUsers = _this$props2.chargeUsers;
      return React.createElement(FilterPullSelector, {
        show: !!data
      }, React.createElement(FilterPullText, {
        selected: !this.useDefault(),
        onClick: this.showPop
      }, React.createElement(FilterPullIcon, {
        className: "font-task-filter"
      }), " \u7B5B\u9009"), filterPopShow && React.createElement(ClickOutSide, {
        onClickOutside: this.hidePop
      }, React.createElement(PullScreen, {
        target: this.relativeComponent,
        chargeUsers: chargeUsers,
        data: data,
        hidePull: this.hidePop,
        selectFilter: selectFilter
      })));
    }
  }]);

  return FilterPull;
}(Component);

export { FilterPull as default };